### Method

# Gck Slot get_mechanism_info

#### Declaration [src]

    GckMechanismInfo*
    gck_slot_get_mechanism_info (
      GckSlot* self,
      gulong mech_type
    )

#### Description [src]

Get information for the specified mechanism.

#### Parameters

`mech_type` | `gulong`
| The mechanisms type to get info for.

#### Return value

Returns: | `GckMechanismInfo`
| The mechanism information, or `NULL` if failed; use `gck_mechanism_info_free()` when done with it.
| The caller of the method takes ownership of the data, and is responsible for freeing it.